import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=11697-6356',
  {
    imports: ["import { SidebarExpandableItem } from '@mozaic-ds/web-components/svelte';"],
    props: {
      expanded: figma.enum('🚫 Expanded sidebar', {
        True: true,
        False: false,
      }),
      isExpanded: figma.enum('is expanded', {
        False: false,
        True: true,
      }),
      state: figma.enum('State', {
        Default: 'default',
        Hovered: 'hovered',
      }),
    },
    example: () => (
      <SidebarExpandableItem label="Section" menulabel="Section menu"></SidebarExpandableItem>
    ),
  },
);
